Bug 904634 (mingw-sword) - Review Request: mingw-sword - MinGW build of a cross-platform scripture text library
Summary: Review Request: mingw-sword - MinGW build of a cross-platform scripture text ...
Keywords:
Status: CLOSED ERRATA
Alias: mingw-sword
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-26 16:40 UTC by greg.hellings
Modified: 2015-02-07 04:04 UTC (History)
4 users (show)

Fixed In Version: mingw-sword-1.7.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-07 04:04:24 UTC
mike: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description greg.hellings 2013-01-26 16:40:01 UTC
Spec URL: http://dl.thehellings.com/mingw32/sword/mingw-sword-1.6.2+svn2778-1.fc17.src.rpm
SRPM URL: http://dl.thehellings.com/mingw32/sword/mingw-sword.spec
Description: SWORD is a cross-platform C++ library for storage, retrieval, conversion, and
search of texts with an emphasis on Biblical texts, commentaries, and related
works.
Fedora Account System Username: greghellings

Comment 1 greg.hellings 2013-07-18 04:38:39 UTC
Updated to the latest development snapshots from upstream.

Spec: http://dl.thehellings.com/mingw32/sword/mingw-sword.spec
SRPM: http://dl.thehellings.com/mingw32/sword/mingw-sword-1.6.2+svn2908-1.fc18.src.rpm

Comment 2 Marc-Andre Lureau 2013-07-18 12:04:02 UTC
The spec is not world readable, please fix permissions :)

Comment 3 greg.hellings 2013-07-18 13:05:21 UTC
Whoops! Fixed that now.

Comment 4 greg.hellings 2013-12-28 05:23:32 UTC
Newly updated for a new upstream release

SRPM: http://dl.thehellings.com/mingw32/sword/mingw-sword-1.7.0-2.fc19.src.rpm
Spec: http://dl.thehellings.com/mingw32/sword/mingw-sword.spec

Comment 6 greg.hellings 2014-12-02 06:03:09 UTC
Two more upstream versions later:

SRPM: http://dl.thehellings.com/mingw32/sword/mingw-sword-1.7.3-2.fc20.src.rpm
Spec: http://dl.thehellings.com/mingw32/sword/mingw-sword.spec

Would be willing to swap reviews with someone to get this looked at.

Comment 7 Michael Cronenworth 2015-01-22 15:44:04 UTC
Taking for review.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v2 or
     later)", "Unknown or generated", "LGPL (v2 or later) (with incorrect FSF
     address)", "zlib/libpng", "GPL (unversioned/unknown version) GPL". 78
     files have unknown license. Detailed output of licensecheck in
     /media/michael/Temp/backup/Projects/fedora/review/904634-mingw-
     sword/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/x86_64-w64-mingw32/sys-
     root/mingw/share/sword, /usr/i686-w64-mingw32/sys-root/mingw/share/sword
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/i686-w64-mingw32/sys-
     root/mingw/share/sword, /usr/x86_64-w64-mingw32/sys-
     root/mingw/share/sword
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 163840 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-sword , mingw64-sword
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw32-sword : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/sword.pc mingw64-sword : /usr/x86_64-w64-mingw32
     /sys-root/mingw/lib/pkgconfig/sword.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-sword-1.7.3-2.fc20.noarch.rpm
          mingw64-sword-1.7.3-2.fc20.noarch.rpm
          mingw-sword-1.7.3-2.fc20.src.rpm
mingw-sword.src:23: W: mixed-use-of-spaces-and-tabs (spaces: line 23, tab: line 5)
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@melchior /]# rpmlint mingw32-sword mingw64-sword
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
]0;<mock-chroot><mock-chroot>[root@melchior /]# echo 'rpmlint-done:'



Requires
--------
mingw32-sword (rpmlib, GLIBC filtered):
    mingw32(icui18n50.dll)
    mingw32(icuuc50.dll)
    mingw32(kernel32.dll)
    mingw32(libclucene-core.dll)
    mingw32(libcurl-4.dll)
    mingw32(libgcc_s_sjlj-1.dll)
    mingw32(libglib-2.0-0.dll)
    mingw32(libgnurx-0.dll)
    mingw32(libstdc++-6.dll)
    mingw32(libsword.dll)
    mingw32(msvcrt.dll)
    mingw32(zlib1.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config

mingw64-sword (rpmlib, GLIBC filtered):
    mingw64(icui18n50.dll)
    mingw64(icuuc50.dll)
    mingw64(kernel32.dll)
    mingw64(libclucene-core.dll)
    mingw64(libcurl-4.dll)
    mingw64(libgcc_s_seh-1.dll)
    mingw64(libglib-2.0-0.dll)
    mingw64(libgnurx-0.dll)
    mingw64(libstdc++-6.dll)
    mingw64(libsword.dll)
    mingw64(msvcrt.dll)
    mingw64(zlib1.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config



Provides
--------
mingw32-sword:
    mingw32(libsword.dll)
    mingw32-sword

mingw64-sword:
    mingw64(libsword.dll)
    mingw64-sword



Source checksums
----------------
http://crosswire.org/ftpmirror/pub/sword/source/v1.7/sword-1.7.3.tar.gz :
  CHECKSUM(SHA256) this package     : 5a3d87ff155d5ecb0cfec052ba333b2b74d9273e2cc66fb1ca75747dfd8ea9ea
  CHECKSUM(SHA256) upstream package : 5a3d87ff155d5ecb0cfec052ba333b2b74d9273e2cc66fb1ca75747dfd8ea9ea


Issues
------
- Version 1.7.4 is now out. Could you update to this first?
- Package does not own %{mingw32/64_datadir}/sword/, does anything else? If not, you can drop "locales.d" off the end.

Comment 8 Fedora Update System 2015-01-26 21:47:56 UTC
xiphos-3.2.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/xiphos-3.2.2-1.el7

Comment 9 greg.hellings 2015-01-26 22:17:16 UTC
http://dl.thehellings.com/mingw32/sword/mingw-sword.spec
http://dl.thehellings.com/mingw32/sword/mingw-sword-1.7.4-1.fc21.src.rpm

Sorry about the previous comment - looks like I keyed in the wrong bug number when I submitted that update for Xiphos on EPEL. But here's the updates as requested to the mingw-sword package.

Comment 10 Michael Cronenworth 2015-01-26 22:19:53 UTC
Your spec is still for 1.7.3, but I looked at the SRPM. The changes look good.

APPROVED

Comment 11 greg.hellings 2015-01-26 22:27:27 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-sword
Short Description: MinGW build of a cross-platform scripture text library
Upstream URL: http://www.crosswire.org/sword
Owners: greghellings
Branches: f21
InitialCC:

Comment 12 Gwyn Ciesla 2015-01-27 14:06:00 UTC
Git done (by process-git-requests).

Comment 13 greg.hellings 2015-01-28 20:34:12 UTC
Jon - can you check this one to ensure the process ran to completion? I'm not seeing the repo appearing, neither can fedpkg clone from it.

$ fedpkg clone mingw-sword
Cloning into 'mingw-sword'...
fatal: '/srv/git/rpms//mingw-sword.git' does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
Could not execute clone: Command '['git', 'clone', 'ssh://greghellings@pkgs.fedoraproject.org/mingw-sword', '--origin', 'origin']' returned non-zero exit status 128

Comment 14 Gwyn Ciesla 2015-01-28 20:49:47 UTC
Odd, reattempting.

Comment 15 Gwyn Ciesla 2015-01-28 20:51:23 UTC
Git done (by process-git-requests).

Comment 16 Gwyn Ciesla 2015-01-28 20:52:57 UTC
Should be better now.

Comment 17 Fedora Update System 2015-01-28 21:23:40 UTC
mingw-sword-1.7.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-sword-1.7.4-1.fc21

Comment 18 Fedora Update System 2015-01-30 04:30:21 UTC
mingw-sword-1.7.4-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 19 Fedora Update System 2015-02-07 04:04:24 UTC
mingw-sword-1.7.4-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.